Package org.apache.sling.query.impl.function

## Class FindFunction<T>

- java.lang.Object
- - org.apache.sling.query.impl.function.FindFunction<T>

All Implemented Interfaces:
  `Function<T,​Iterator<T>>`, `org.apache.sling.query.api.internal.ElementToIteratorFunction<T>`

    public class FindFunction<T>
    extends Object
    implements org.apache.sling.query.api.internal.ElementToIteratorFunction<T>

### Constructor Summary

Constructors
`FindFunction​(SearchStrategy searchStrategy, org.apache.sling.query.api.internal.TreeProvider<T> provider, String preFilteringSelector)`
`FindFunction​(SearchStrategy searchStrategy, org.apache.sling.query.api.internal.TreeProvider<T> provider, SelectorSegment preFilteringSelector)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterator<T>` `apply​(T input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

### Constructor Detail

#### FindFunction

    public FindFunction​(SearchStrategy searchStrategy,
                        org.apache.sling.query.api.internal.TreeProvider<T> provider,
                        SelectorSegment preFilteringSelector)

#### FindFunction

    public FindFunction​(SearchStrategy searchStrategy,
                        org.apache.sling.query.api.internal.TreeProvider<T> provider,
                        String preFilteringSelector)

### Method Detail

#### apply

    public Iterator<T> apply​(T input)

Specified by:
  `apply` in interface `Function<T,​Iterator<T>>`